Subject: RE: [dhcwg] Re: UTF-8 issues (Re: Open issues in DHCP FQDN,DHCID and DDNS-DHCP Related RFCs)

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 03 Feb 2006 15:49:12 -0800

--On 3. februar 2006 17:54 -0500 "Bernie Volz (volz)" <[email-masked]> 
wrote:

> So, I'll change the text to what you suggested with one minor change:
>
>    Clients and servers SHOULD follow the character-set rules of RFC 952,
>    fourth section ("Assumptions"), first 5 sentences, as modified by RFC
>    1123 section 2.1.  However, implementers SHOULD also be aware that
>    some client software may send data intended to be in other character
>    sets. This specification does not require support for other character
>    sets.
>
> Note that I changed it to cover the 5 sentences because I believe the
> additional sentences are required (lower case and space rules)?

Agreed - my writing was sloppy; I wanted to avoid the "-gw" language, but 
saying "character set rules" accomplishes that.
(Do omit the hyphen..... "character set" is much more common than 
"character-set"...)

                    Harald

---

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Fri, 3 Feb 2006 17:54:30 -0500

[ Moderators note: Post was moderated, either because it was posted by
   a non-subscriber, or because it was over 20K.  
   With the massive amount of spam, it is easy to miss and therefore 
   delete relevant posts by non-subscribers. 
   Please fix your subscription addresses. ]

Harald:

Yes, your messages are going to the DHC WG mailing list.

I guess the reference is very convoluted because RFC 1035 technically references RFC 952, though not as explicitly as we might like. RFC 1035 states (in section 2.3.1):

   The labels must follow the rules for ARPANET host names.  They must
   start with a letter, end with a letter or digit, and have as interior
   characters only letters, digits, and hyphen.  There are also some
   restrictions on the length.  Labels must be 63 characters or less.

Note that I changed it to cover the 5 sentences because I believe the additional sentences are required (lower case and space rules)?

- Bernie

> -----Original Message-----
> From: Harald Tveit Alvestrand [mailto:[email-masked]] 
> Sent: Friday, February 03, 2006 2:26 AM
> To: Bernie Volz (volz); Mark Andrews
> Cc: Olaf Kolkman; [email-masked]; dhcwg; Stig 
> Venaas; Ólafur Gu>mundsson /DNSEXT co-chair; Ralph Droms (rdroms)
> Subject: RE: [dhcwg] Re: UTF-8 issues (Re: Open issues in 
> DHCP FQDN,DHCID and DDNS-DHCP Related RFCs) 
> 
> 
> 
> --On 2. februar 2006 23:12 -0500 "Bernie Volz (volz)" 
> <[email-masked]> 
> wrote:
> 
> > Actually, I do now have a suggestion:
> >
> >    Clients and servers SHOULD follow the character-set 
> recommendations
> >    of RFC 1035 section 2.3.1.  However, implementers SHOULD also
> >    be aware that some client software may use other character-sets.
> >    This specification does not require support for any other
> >    character-sets.
> >
> > If you don't like this, PLEASE SUGGEST ALTERNATIVE TEXT.
> 
> Bernie - are my messages not getting through to the DHCWG list?
> 
> I like this text, but you need to add the reference to RFC 
> 1123 section 2.1 
> I mentioned earlier (the text that allows 3com) - and Mark 
> Andrews seems to 
> want to reference RFC 952 rather than RFC 1035.
> 
> My suggestion (slight modification) would be:
> 
> >    Clients and servers SHOULD follow the character-set 
> recommendations
> >    of RFC 1035 section 2.3.1, as modified by RFC 1123 section 2.1.
> >    However, implementers SHOULD also
> >    be aware that some client software may send data intended to be
> >    in other character sets.
> >    This specification does not require support for any other
> >    character sets.
> 
> If referring to 952:
> 
>   fourth section, first 2 sentences, as modified by RFC 1123 
> section 2.1.
> 
>     However, implementers SHOULD also
>     be aware that some client software may send data intended to be in
>     other character sets.
>     This specification does not require support for any other
>     character sets.
> 
> That's specific...
> 
>                         Harald
> 
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>